cURL
curl --request PUT \
--url https://backendapi.corbado.io/v2/androidappconfig/{androidAppConfigID} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"projectID": "<string>",
"packageName": "<string>",
"fingerprint": "<string>",
"requestID": "req-557...663"
}
'import requests
url = "https://backendapi.corbado.io/v2/androidappconfig/{androidAppConfigID}"
payload = {
"projectID": "<string>",
"packageName": "<string>",
"fingerprint": "<string>",
"requestID": "req-557...663"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectID: '<string>',
packageName: '<string>',
fingerprint: '<string>',
requestID: 'req-557...663'
})
};
fetch('https://backendapi.corbado.io/v2/androidappconfig/{androidAppConfigID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"id": "and-abc123",
"projectID": "<string>",
"packageName": "<string>",
"fingerprint": "<string>",
"base64URL": "<string>",
"created": "<string>",
"updated": "<string>"
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}ConnectManagement
Put androidappconfig
Updates an Android app config by id
PUT
/
androidappconfig
/
{androidAppConfigID}
cURL
Authorizations
basicAuthbearerAuth
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
ID from Android config create
Body
application/json
Response
Contains Android app config
HTTP status code of operation
Example:
"OK"
Data about the request itself, can be used for debugging
Show child attributes
Show child attributes
Runtime in seconds for this request
Example:
0.06167686
ID of Android app configuration
Example:
"and-abc123"
ID of project
Timestamp of when the entity was created in yyyy-MM-dd'T'HH:mm:ss format
Timestamp of when the entity was last updated in yyyy-MM-dd'T'HH:mm:ss format
Was this page helpful?